﻿using System;
using System.Collections.Generic;
using System.Data.Services.Common;
using System.Linq;
using System.Text;

namespace Classes
{
  [DataServiceKey("PartitionKey", "RowKey")]
  public class Food
  {
    public string Color { get; set; }
    //partition will be first letter of last name
    public string PartitionKey { get; set; } //food type
    //rowkey (unique) food name
    public string RowKey { get; set; }
    public DateTime Timestamp { get; set; }

  static public Food CreateFood(string category, string subCategory, string name, string color)
  {
    return new Food
             {
               PartitionKey = category.Trim() + "_" + subCategory.Trim(),
               RowKey = name,
               Color = color
             };
  }
  }

  
}
