﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Classes;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace WebRole1
{
  public class DataSource
  {
    private FoodServiceContext _serviceContext;

    public DataSource()
    {
      var storageAccount = CloudStorageAccount.FromConfigurationSetting("DataConnectionString");
      _serviceContext = new FoodServiceContext(storageAccount.TableEndpoint.ToString(), storageAccount.Credentials);
      storageAccount.CreateCloudTableClient().CreateTableIfNotExist(FoodServiceContext.FoodTableName);
    }
 
    
    public IEnumerable<Food> Foods()
    {
      return _serviceContext.FoodTable;
    }
    public void Insert(Food newItem)
    {
      _serviceContext.AddObject(FoodServiceContext.FoodTableName, newItem);
      _serviceContext.SaveChanges();
    }
    //internal object Categories()
    //{
    //  return _serviceContext.FoodTable.Select(f => f.PartitionKey).Distinct();
    //}
  }
}