﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebRole1
{
  public partial class FoodPage : System.Web.UI.Page
  {
    private DataSource ds;
    protected void Page_Load(object sender, EventArgs e)
    {
      
      ds = new DataSource();
      if (!this.IsPostBack)
      {
        FillGrid();
      }
    }
   
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
      FillFood();
  
    }
    private void FillFood()
    {
      this.GridView1.DataSource = from f in ds.Foods() select f;
      GridView1.DataBind();
    }

    protected void Add_Click(object sender, EventArgs e)
    {

      //build a new food item that will be insterted into the azure storage table
      ds.Insert(Classes.Food.CreateFood(Category.Text,SubCategory.Text,Name.Text,Color.Text));
      FillGrid();
      Color.Text = "";
      Name.Text = "";
    }

    protected void Add0_Click(object sender, EventArgs e)
    {
      FillGrid();
    }
    private void FillGrid()
    {
      if (this.CategoryFilter.Text != string.Empty)
      {  
        //replace last letter of CategoryFilter with the very next letter
        var stringBuilder = new System.Text.StringBuilder(CategoryFilter.Text.Trim());
        int stringLength = stringBuilder.Length;
        char lastChar = stringBuilder.ToString().Last();
        char newLastChar = (char)((int)lastChar + 1);
        stringBuilder.Replace(lastChar, newLastChar, stringLength-1, 1);

        this.GridView1.DataSource = from f in ds.Foods()
                                    where (f.PartitionKey.CompareTo(this.CategoryFilter.Text) >= 0
                                           && f.PartitionKey.CompareTo(stringBuilder.ToString()) < 0)
                                    select f;
      }
      else
        GridView1.DataSource = ds.Foods().ToList();

      DataBind();
    }

   
  }
}